coverage:clang8-seq-coverage:
  image: localhost:5000/ubuntu_clang8
  stage: coverage
  script:
    - mkdir -p build/clang8-cov
    - cd build/clang8-cov
    - CXX=clang++-8 CC=clang-8 cmake ../.. -DCMAKE_BUILD_TYPE=Coverage -DCLANG_FORMAT=/usr/bin/clang-format-8
    - make pugs
    - make coverage
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang8-cov"
    paths:
      - build/clang8-cov
    untracked: true
